Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Interface AccessControl

public interface AccessControl

Field Summary
`static java.lang.String` | `ACTION_EDIT`
`static java.lang.String` | `ACTION_MANAGE`
`static java.lang.String` | `ACTION_VIEW`
`static java.lang.String` | `GROUP_ADMINISTRATORS`
`static java.lang.String` | `GROUP_ALL_USERS`
`static java.lang.String` | `TYPE_GROUP`
`static java.lang.String` | `TYPE_PAGE`
`static java.lang.String` | `TYPE_PORTLET`
`static java.lang.String` | `TYPE_USER`

Method Summary
`boolean` | `addEntry(java.lang.String userId, java.lang.String subjectType, java.lang.String subjectId, java.lang.String action, java.lang.String objectType, java.lang.String objectId)`
`boolean` | `checkPermission(java.lang.String subjectType, java.lang.String subjectId, java.lang.String action, java.lang.String objectType, java.lang.String objectId)`
`java.util.Iterator` | `entries(boolean admin, java.lang.String separator)`
`java.util.Iterator` | `getPermissions(java.lang.String subjectType, java.lang.String subjectId, java.lang.String action, java.lang.String objectType)`
`java.util.Iterator` | `getPermissions(java.lang.String subjectType, java.lang.String subjectId, java.lang.String action, java.lang.String objectType, java.util.Vector objectIds)`
`boolean` | `removeEntry(java.lang.String userId, java.lang.String subjectType, java.lang.String subjectId, java.lang.String action, java.lang.String objectType, java.lang.String objectId)`

Field Detail

### TYPE_USER

    public static final java.lang.String TYPE_USER

### TYPE_GROUP

    public static final java.lang.String TYPE_GROUP

### TYPE_PAGE

    public static final java.lang.String TYPE_PAGE

### TYPE_PORTLET

    public static final java.lang.String TYPE_PORTLET

### GROUP_ALL_USERS

    public static final java.lang.String GROUP_ALL_USERS

### GROUP_ADMINISTRATORS

    public static final java.lang.String GROUP_ADMINISTRATORS

### ACTION_EDIT

    public static final java.lang.String ACTION_EDIT

### ACTION_VIEW

    public static final java.lang.String ACTION_VIEW

### ACTION_MANAGE

    public static final java.lang.String ACTION_MANAGE

Method Detail

### checkPermission

    public boolean checkPermission(java.lang.String subjectType,
                                   java.lang.String subjectId,
                                   java.lang.String action,
                                   java.lang.String objectType,
                                   java.lang.String objectId)

### addEntry

    public boolean addEntry(java.lang.String userId,
                            java.lang.String subjectType,
                            java.lang.String subjectId,
                            java.lang.String action,
                            java.lang.String objectType,
                            java.lang.String objectId)

### removeEntry

    public boolean removeEntry(java.lang.String userId,
                               java.lang.String subjectType,
                               java.lang.String subjectId,
                               java.lang.String action,
                               java.lang.String objectType,
                               java.lang.String objectId)

### entries

    public java.util.Iterator entries(boolean admin,
                                      java.lang.String separator)

### getPermissions

    public java.util.Iterator getPermissions(java.lang.String subjectType,
                                             java.lang.String subjectId,
                                             java.lang.String action,
                                             java.lang.String objectType)

### getPermissions

    public java.util.Iterator getPermissions(java.lang.String subjectType,
                                             java.lang.String subjectId,
                                             java.lang.String action,
                                             java.lang.String objectType,
                                             java.util.Vector objectIds)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD